Name:		shelldap
Version:	1.4.0
Release:	1%{?dist}
Summary:	A shell-like interface for browsing LDAP servers

License:	BSD
URL:		https://bitbucket.org/mahlon/%{name}
Source0:	%{url}/downloads/%{name}-%{version}.tar.gz

BuildArch: noarch
BuildRequires:	perl-generators perl-interpreter perl(Config) perl-podlators
# perl-generators takes care of the 'Requires' tag.
Recommends:	perl(IO::Socket::SSL) perl(Authen::SASL) perl(Term::ReadLine::Gnu)

%description
A handy shell-like interface for browsing LDAP servers and editing their
content. It keeps command history, has sane auto-completion, credential caching,
site-wide and individual configurations.

%prep
%setup -q
perl -MConfig -i -pe 's{^#!/usr/bin/env perl}{$Config{startperl}}' %{name}

%build
pod2man shelldap > shelldap.1
perl -n -e 'if(m/^#/){print if($. > 4)}else{exit 0}' shelldap > LICENSE.txt

%install
mkdir -p %{buildroot}/%{_bindir}
mkdir -p %{buildroot}/%{_mandir}/man1
install -p -m 755 shelldap %{buildroot}%{_bindir}/shelldap
install -p -m 644 shelldap.1 %{buildroot}%{_mandir}/man1/shelldap.1

%files
%license LICENSE.txt
%doc README.md CHANGELOG CONTRIBUTORS
%{_bindir}/shelldap
%{_mandir}/man1/shelldap.1.*

%changelog
* Tue Feb 27 2018 Timothée Floure <fnux@fedoraproject.org> - 1.4.0-1
- Let there be package.
